{
	"format_version": "1.8.0",
	"animations": {
		"animation.mammoth.taser": {
			"loop": true,
			"bones": {
				"Head": {
					"rotation": [0, -5, 0]
				},
				"RightEar": {
					"rotation": [0, 0, -25]
				},
				"LeftBackLeg": {
					"rotation": [15, 0, 0]
				},
				"RightBackLeg": {
					"rotation": [-7.5, 0, 0]
				},
				"LeftFrontLeg": {
					"rotation": [20, 0, 0]
				},
				"RightFrontLeg": {
					"rotation": [-20, 0, 0]
				}
			}
		},
		"animation.mammoth.walk": {
			"loop": true,
			"anim_time_update": "query.modified_distance_moved",
			"bones": {
				"Trunk": {
					"rotation": ["math.cos(query.anim_time * 10) *  5", 0, 0]
				},
				"LeftEar": {
					"rotation": [0, 0, "20+math.cos(query.anim_time * 20) *  -10"]
				},
				"RightEar": {
					"rotation": [0, 0, "-20+math.cos(query.anim_time * 20) *  10"]
				},
				"LeftBackLeg": {
					"rotation": ["math.cos(query.anim_time * 20) *  -30", 0, 0]
				},
				"RightBackLeg": {
					"rotation": ["math.cos(query.anim_time * 20) *  30", 0, 0]
				},
				"LeftFrontLeg": {
					"rotation": ["math.cos(query.anim_time * 20) *  -30", 0, 0]
				},
				"RightFrontLeg": {
					"rotation": ["math.cos(query.anim_time * 20) *  30", 0, 0]
				}
			}
		},
		"animation.mammoth.charge": {
			"loop": true,
			"bones": {
				"Body": {
					"rotation": [0, 0, 0]
				},
				"Head": {
					"rotation": [15, "math.cos(query.anim_time * 400) *  -25", "math.cos(query.anim_time * 400) *  -25"],
					"position": [0, "-8+math.cos(query.anim_time * 800) *  1", 0]
				},
				"Trunk": {
					"rotation": ["15+math.cos(query.anim_time * 800) *  -5", "math.cos(query.anim_time * 800) *  -20", 0]
				}
			}
		},
		"animation.mammoth.baby_transform": {
			"loop": true,
			"bones": {
				"Head": {
					"scale": 1.2
				}
			}
		},
		"animation.mammoth.idle": {
			"loop": true,
			"bones": {
				"Trunk": {
					"rotation": ["math.cos(query.anim_time * 25) *  5", "math.cos(query.anim_time * 12.5) *  5", 0]
				},
				"LeftEar": {
					"rotation": [0, 0, "10+math.cos(query.anim_time * 50) *  5"]
				},
				"RightEar": {
					"rotation": [0, 0, "-10+math.cos(query.anim_time * 50) *  -5"]
				}
			}
		},
		"animation.mammoth.attack": {
			"loop": true,
			"animation_length": 1,
			"anim_time_update": "variable.attack_time",
			"bones": {
				"Trunk": {
					"rotation": {
						"0.0": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						},
						"0.4167": {
							"post": [41, 0, 0],
							"lerp_mode": "catmullrom"
						},
						"1.0": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						}
					}
				},
				"HeadTurn": {
					"rotation": {
						"0.0": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						},
						"0.5": {
							"post": [-35, 0, 0],
							"lerp_mode": "catmullrom"
						},
						"1.0": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						}
					}
				}
			}
		}
	}
}